

--  c function

--[[
function	TraceAI (string) end
function	MoveToOwner (id) end
function 	Move (id,x,y) end
function	Attack (id,id) end
function 	GetV (V_,id) end
function	GetActors () end
function	GetTick () end
function	GetMsg (id) end
function	GetResMsg (id) end
function	SkillObject (id,level,skill,target) end
function	SkillGround (id,level,skill,x,y) end
function	IsMonster (id) end			-- id̓X^[H yes -> 1 no -> 0

--]]





-------------------------------------------------
-- constants
-------------------------------------------------


--------------------------------
V_OWNER				=	0		-- ҂ ID
V_POSITION			=	1		-- W (xAy) 
V_TYPE				=	2		-- ^Cv () 
V_MOTION			=	3		-- ݂̖ 
V_ATTACKRANGE		=	4		-- U͈ (B݂1ZɌŒ)
V_TARGET			=	5		-- UAXLgpΏۂ ID 
V_SKILLATTACKRANGE	=	6		-- XLU͈ ()
V_HOMUNTYPE			=	7		-- zNX̎
V_HP				=	8		-- HP (zNXƏ)
V_SP				=	9		-- SP (zNXƏ)
V_MAXHP				=	10		-- ő HP (zNXƏ)
V_MAXSP				=	11		-- ő SP (zNXƏ)
---------------------------------	





--------------------------------------------
-- zNX̎ 
--------------------------------------------

LIF					= 1
AMISTR				= 2
FILIR				= 3
VANILMIRTH			= 4
LIF2				= 5
AMISTR2				= 6
FILIR2				= 7
VANILMIRTH2			= 8
LIF_H				= 9
AMISTR_H			= 10
FILIR_H				= 11
VANILMIRTH_H		= 12
LIF_H2				= 13
AMISTR_H2			= 14
FILIR_H2			= 15
VANILMIRTH_H2		= 16

--------------------------------------------


--------------------------
--[VID
--------------------------
MOTION_STAND = 0 
MOTION_MOVE = 1 
MOTION_ATTACK = 2 
MOTION_DEAD = 3 
MOTION_DAMAGE = 4 -- _[W̃[V 
MOTION_PICKUP = 5 -- Ein^[㩐ݒuj 
MOTION_SIT = 6 -- Ă 
MOTION_SKILL = 7 -- XLgpiCxAJ[g{[VAEh{CXj 
MOTION_CAST = 8 -- ri{̃fXg[VŊmFj 
MOTION_ATTACK2 = 9 -- 
MOTION_SPIRAL = 11 -- XpCsA[X 
MOTION_TOSS = 12 -- iPPAoCIvgȂǁj 
MOTION_SLIMPP = 28 -- X|[Vsb`[ 
--------------------------

-----------------------------------------------------
-- XLID
-----------------------------------------------------
-- [t
SKILL_TOUCH_OF_HEAL = 8001 -- ̎菕
SKILL_EMERGENCY_AVOID = 8002 -- ً}
SKILL_MENTAL_CHANGE = 8004 -- ^`FW
-- A~Xg
SKILL_CASTLING = 8005 -- LXO
SKILL_DEFFENCE = 8006 -- fBtFX
SKILL_BLOOD_LUST = 8008 -- ubhXg
-- tB[
SKILL_MOONLIGHT = 8009 -- [Cg
SKILL_FLEET_MOVE = 8010 -- tbg[u
SKILL_OVERED_SPEED = 8011 -- I[o[hXs[h
SKILL_SBR44 = 8012 -- S.B.R.44
-- oj~g
SKILL_CAPRICE = 8013 -- JvX
SKILL_CHAOTIC_VENEDICTION = 8014 -- JIeBbNxlfBNV
SKILL_BIO_EXPLOSION = 8016 -- oCIGNXv[W
-----------------------------------------------------

-----------------------------------------------------
--JOBID
-----------------------------------------------------
--mr
JOB_NOVICE				=	0
JOB_SUPER_NOVICE		=	23
JOB_NOVICE_HIGH			=	4001
JOB_BABY_NOVICE			=	4023
JOB_BABY_SUPER_NOVICE	=	4045
JOB_NOVICE_SET			=	{JOB_NOVICE,JOB_SUPER_NOVICE,JOB_NOVICE_HIGH,JOB_BABY_NOVICE,JOB_BABY_SUPER_NOVICE}
--m
JOB_SWORDMAN			=	1
JOB_SWORDMAN_HIGH		=	4002
JOB_BABY_SWORDMAN		=	4024
JOB_KNIGHT				=	7                             
JOB_KNIGHT_RIDER		=	13
JOB_LORD_KNIGHT			=	4008
JOB_LORD_KNIGHT_RIDER	=	4014
JOB_BABY_KNIGHT			=	4030
JOB_BABY_KNIGHT_RIDER	=	4036
JOB_CRUSADER			=	14
JOB_CRUSADER_RIDER		=	21
JOB_PALADIN				=	4015
JOB_PALADIN_RIDER		=	4022
JOB_BABY_CRUSADER		=	4037
JOB_BABY_CRUSADER_RIDER	=	4044
JOB_SWORDMAN_SET		=	{JOB_SWORDMAN,JOB_SWORDMAN_HIGH,JOB_BABY_SWORDMAN}
JOB_KNIGHT_SET			=	{JOB_KNIGHT,JOB_KNIGHT_RIDER,JOB_LORD_KNIGHT,JOB_LORD_KNIGHT_RIDER,JOB_BABY_KNIGHT,JOB_BABY_KNIGHT_RIDER}
JOB_CRUSADER_SET		=	{JOB_CRUSADER,JOB_CRUSADER_RIDER,JOB_PALADIN,JOB_PALADIN_RIDER,JOB_BABY_CRUSADER,JOB_BABY_CRUSADER_RIDER}
--}W
JOB_MAGICIAN			=	2
JOB_MAGICIAN_HIGH		=	4003
JOB_BABY_MAGICIAN		=	4025
JOB_WIZARD				=	9
JOB_HIGH_WIZARD			=	4010
JOB_BABY_WIZARD			=	4032
JOB_SAGE				=	16
JOB_PROFESSOR			=	4017
JOB_BABY_SAGE			=	4039
JOB_MAGICIAN_SET		=	{JOB_MAGICIAN,JOB_MAGICIAN_HIGH,JOB_BABY_MAGICIAN}
JOB_WIZARD_SET			=	{JOB_WIZARD,JOB_HIGH_WIZARD,JOB_BABY_WIZARD}
JOB_SAGE_SET			=	{JOB_SAGE,JOB_PROFESSOR,JOB_BABY_SAGE}
--A`
JOB_ARCHER				=	3
JOB_ARCHER_HIGH			=	4004
JOB_BABY_ARCHER			=	4026
JOB_HUNTER				=	11
JOB_SNIPER				=	4012
JOB_BABY_HUNTER			=	4034
JOB_BARD				=	19
JOB_CLOWN				=	4020
JOB_BABY_BARD			=	4042
JOB_DANCER				=	20
JOB_GYPSY				=	4021
JOB_BABY_DANCER			=	4043
JOB_ARCHER_SET			=	{JOB_ARCHER,JOB_ARCHER_HIGH,JOB_BABY_ARCHER}
JOB_HUNTER_SET			=	{JOB_HUNTER,JOB_SNIPER,JOB_BABY_HUNTER}
JOB_BARD_SET			=	{JOB_BARD,JOB_CLOWN,JOB_BABY_BARD}
JOB_DANCER_SET			=	{JOB_DANCER,JOB_GYPSY,JOB_BABY_DANCER}
JOB_THUNDERBIRD_SET		=	{JOB_BARD,JOB_CLOWN,JOB_BABY_BARD,JOB_DANCER,JOB_GYPSY,JOB_BABY_DANCER}
--AR
JOB_ACOLYTE				=	4
JOB_ACOLYTE_HIGH		=	4005
JOB_BABY_ACOLYTE		=	4027
JOB_PRIEST				=	8
JOB_HIGH_PRIEST			=	4009
JOB_BABY_PRIEST			=	4031
JOB_MONK				=	15
JOB_CHAMPION			=	4016
JOB_BABY_MONK			=	4038
JOB_ACOLYTE_SET			=	{JOB_ACOLYTE,JOB_ACOLYTE_HIGH,JOB_BABY_ACOLYTE}
JOB_PRIEST_SET			=	{JOB_PRIEST,JOB_HIGH_PRIEST,JOB_BABY_PRIEST}
JOB_MONK_SET			=	{JOB_MONK,JOB_CHAMPION,JOB_BABY_MONK}
--l
JOB_MERCHANT			=	5
JOB_MERCHANT_HIGH		=	4006
JOB_BABY_MERCHANT		=	4028
JOB_BLACKSMITH			=	10
JOB_WHITE_SMITH			=	4011
JOB_BABY_BLACKSMITH		=	4033
JOB_ALCHEMIST			=	18
JOB_CREATOR				=	4019
JOB_BABY_ALCHEMIST		=	4041
JOB_MERCHANT_SET		=	{JOB_MERCHANT,JOB_MERCHANT_HIGH,JOB_BABY_MERCHANT}
JOB_BLACKSMITH_SET		=	{JOB_BLACKSMITH,JOB_WHITE_SMITH,JOB_BABY_BLACKSMITH}
JOB_ALCHEMIST_SET		=	{JOB_ALCHEMIST,JOB_CREATOR,JOB_BABY_ALCHEMIST}
--V[t
JOB_THIEF				=	6
JOB_THIEF_HIGH			=	4007
JOB_BABY_THIEF			=	4029
JOB_ASSASSIN			=	12
JOB_ASSASSIN_CROSS		=	4013
JOB_BABY_ASSASSIN		=	4035
JOB_ROGUE				=	17
JOB_CHASER				=	4018
JOB_BABY_ROGUE			=	4040
JOB_THIEF_SET			=	{JOB_THIEF,JOB_THIEF_HIGH,JOB_BABY_THIEF}
JOB_ASSASSIN_SET		=	{JOB_ASSASSIN,JOB_ASSASSIN_CROSS,JOB_BABY_ASSASSIN}
JOB_ROGUE_SET			=	{JOB_ROGUE,JOB_CHASER,JOB_BABY_ROGUE}
--eR
JOB_TAEKWON				=	4046
JOB_STAR_GLADIATOR		=	4047
JOB_STAR_GLADIATOR_FLY	=	4048
JOB_SOUL_LINKER			=	4049
--KX
JOB_GUNSLINGER			=	24
--jW
JOB_NINJA				=	25
-----------------------------------------------------
--Gy
HOMUNTYPE_EMPERIUM = 1288

-----------------------------------------------------
-- vgnHOMUNTYPE
-----------------------------------------------------
HOMUNTYPE_PRANT = {
 1589, -- }hS
 1579, -- qh
 1575, -- t[
 1555, -- tFA[t
 1590, -- WIOt@[
 1142  -- }XtBA[
}


--------------------------
-- command
--------------------------
NONE_CMD			= 0
MOVE_CMD			= 1
STOP_CMD			= 2
ATTACK_OBJECT_CMD	= 3
ATTACK_AREA_CMD		= 4
PATROL_CMD			= 5
HOLD_CMD			= 6
SKILL_OBJECT_CMD	= 7
SKILL_AREA_CMD		= 8
FOLLOW_CMD			= 9
--------------------------


--[[ R}h\ 

MOVE_CMD
	{R}hԍAXWAYW}
	  
STOP_CMD
	{R}hԍ}

ATTACK_OBJECT_CMD
	{R}hԍAڕWID}

ATTACK_AREA_CMD	
	{R}hԍAXWAYW}

PATROL_CMD	
	{R}hԍAXWAYW}
	
HOLD_CMD
	{R}hԍ}

SKILL_OBJECT_CMD
	{R}hԍAIxAށAڕWID}

SKILL_AREA_CMD
	{R}hԍAIxAށAXWAYW}

FOLLOW_CMD
	{R}hԍ}

--]]

